@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Inter", sans-serif;
    position: relative;
}

/* Desktop - Início */
/* Header - Início */


header .header_content {
    display: flex;
    width: 90%;
    max-width: 1520px;
    align-items: center;
    justify-content: space-between;
    margin: auto;
    padding: 25px 0px;
    margin-bottom: 40px;
}

header #header_logo {
    width: 210px;
}

header a {
    text-decoration: none;
    color: #fff;
}

header #header_botao {
    padding: 8px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 6px;
    border: 0;
    background-color: #FF151F;
    color: #ffffff;
    cursor: pointer;
}

header #header_botao #header_botao_telefone {
    width: 18px;
    margin-right: 10px;
}

/* Header - Fim */

/* Main - Início */

main .main_content {
    display: flex;
    flex-direction: column;
    width: 90%;
    max-width: 1520px;
    margin: auto;
    padding: 25px 0px;
    padding-bottom: 725px;
}

.cards {
    width: 100%;
    max-width: 1520px;
    margin: auto;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;
}

.card {
    width: 48%;
    display: flex;
    flex-direction: column;
    cursor: pointer;
    text-decoration: none;
    color: #000000;
}

.card #card_imagem {
    height: 400px;
    object-fit: cover;
    border-radius: 6px;
    margin-bottom: 10px;
}

.card #card_titulo {
    font-weight: 500;
}

/* Main - Fim */

/* Footer - Início */

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: #000000;
    height: 330px;
    color: #ffffff;
}

footer .footer_content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 90%; 
    height: 90%;
    margin: auto;
    max-width: 1520px;
    padding: 25px 0px;
}

footer .footer_content .footer_social_media {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

footer .footer_content .footer_contatos {
    display: flex;
    flex-direction: row;
    width: 70%;
    justify-content: space-between;
}

footer .footer_contatos .footer_contato_content #footer_contato_titulo {
    color: #ED1C24;
}

footer .footer_contatos .footer_contato_content p {
    display: flex;
    flex-direction: row;
    align-items: center;
}

footer .footer_content .footer_contatos img {
    width: 20px;
    margin-right: 4px;
}

footer .footer_content .footer_contatos .footer_contato_content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* Footer - Fim */
/* Desktop - Fim */

/* Mobile - Início */

@media (max-width: 1080px) {
    footer .footer_content .footer_contatos {
        display: flex;
        flex-direction: column;
        height: 80%;
    }

    footer .footer_content .footer_contatos .footer_contato_content {
        height: 43%;
    }
}

@media (max-width: 500px) {
    /* Header - Início */

    header .header_content {
        margin-bottom: 0px;
    }

    header #header_logo {
        width: 160px;
    }    

    header #header_botao {
        padding: 8px 8px;
    }

    /* Header - Fim */


    /* Main - Início */

    main .main_content {
        padding-bottom: 1080px;
    }

    main .main_content #main_titulo {
        margin-bottom: 10px;
    }

    .cards {
        flex-direction: column;
        margin-top: 0;
    }

    .card {
        width: 100%;
        margin-bottom: 20px;
    }

    /* Main - Fim */


    /* Footer - Início */
    
    footer {
        height: 830px;
    }

    footer .footer_content {
        display: flex;
        flex-direction: column;
        height: 80%;
    }

    footer .footer_content .footer_social_media #footer_logo {
        width: 200px;
        margin-bottom: 20px;
    }

    footer .footer_content .footer_social_media .footer_social_icons {
        margin-bottom: 20px;
    }

    footer .footer_content .footer_social_media .footer_social_icons img {
        width: 40px;
    }

    footer .footer_content .footer_contatos .footer_contato_content {
        margin-bottom: 40px;
    }

    footer .footer_contatos .footer_contato_content p {
        width: 150%;
    }
    /* Footer - Fim */
}

@media (max-width: 400px) {
    /* Header - Início */

    header #header_logo {
        width: 130px;
    }    

    header #header_botao {
        padding: 7px;
    }

    /* Header - Fim */
}